package com.ruoyi.common.service;

import com.ruoyi.common.model.ExportField;

import java.util.List;

public interface IExportFieldConfigService {
    /**
     * 生猪屠宰情况日汇总表可用字段配置
     */
    public List<ExportField> getDailySlaughterReportFields();

    /**
     * 违禁药物检测及屠宰检验情况表
     */
    public List<ExportField> getDailyDrugCheckAndSlaughterReportFields();

    /**
     * 生猪屠宰环节无害化处理表可用字段配置
     */
    public List<ExportField> getDailyHarmlessReportFields();

    /**
     * 生猪产品出场情况表可用字段配置
     */
    public List<ExportField> getDailyOutputReportFields();

    /**
     * 生猪入场查验情况表可用字段配置
     */
    public List<ExportField> getDailyEntranceReportFields();

    List<ExportField> getStockReportFields();

    List<ExportField> getZhuanYunReportFields();

    List<ExportField> getZhaoHuiReportFields();

    List<ExportField> getZaiQianReportFields();

    List<ExportField> getYangPinReportFields();

    List<ExportField> getDaiZaiReportFields();

    List<ExportField> getRuChangReportFields();

    List<ExportField> getChuChangReportFields();

    List<ExportField> getFuJianReportFields();

    List<ExportField> getZaiHouReportFields();

    List<ExportField> getXunChaReportFields();


    List<ExportField> getTuzaiShengChanReportFields();


}
